%define pkgname shadow
Summary:	Ruby bindings for shadow password access
Name:		ruby-%{pkgname}
Version:	2.5.0
Release:	1
License:	Public Domain
Group:		Development/Languages
Source0:	https://github.com/apalmblad/ruby-shadow/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e9c35620f6c25233b7b54dcab8ee955e
Patch1:		cflags.patch
URL:		https://github.com/apalmblad/ruby-shadow
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	setup.rb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby bindings for shadow password access.

%prep
%setup -q
%patch1 -p1
iconv -f EUCJP -t utf8 -o README.ja README.euc

%build
%{__ruby} extconf.rb \
	--vendor \
	--with-cflags="%{rpmcflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY README
%doc %lang(ja) README.ja
%attr(755,root,root) %{ruby_vendorarchdir}/shadow.so
%changelog
* Tue Mar 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-shadow.git;a=log;h=master

* Tue Mar 24 2020 Jan Rękorajski <baggins@pld-linux.org> f9bfcdb
- up to 2.5.0

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 4b1984f
- rebuild with ruby 2.4
- release 6 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 8a55ca5
- rebuild with ruby 2.3
- release 5 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 8336320
- ruby 2.1 rebuild
- release 4 (by relup.sh)

* Sun Aug 03 2014 Elan Ruusamäe <glen@delfi.ee> 4255305
- add ruby 2.0 support (patch from fedora)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 3bae04a
- install to vendor dir

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 426d30f
- BR ruby-devel

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 013904b
- new; based on fedora package

